summaryrefslogtreecommitdiffstats
path: root/kea/bin/kea-leases-reset
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-10-30 12:49:29 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-10-30 12:49:29 +0000
commit2e4c9a937a322306e1cc0a8d39af95d446c5b4b3 (patch)
treeef53d505de5980cb3722a7dc85e92a6d9ee67710 /kea/bin/kea-leases-reset
parentReworking knot-zones-reset script. (diff)
downloadservice-tools-2e4c9a937a322306e1cc0a8d39af95d446c5b4b3.tar.xz
service-tools-2e4c9a937a322306e1cc0a8d39af95d446c5b4b3.zip
Adding kea tools.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'kea/bin/kea-leases-reset')
-rwxr-xr-xkea/bin/kea-leases-reset58
1 files changed, 58 insertions, 0 deletions
diff --git a/kea/bin/kea-leases-reset b/kea/bin/kea-leases-reset
new file mode 100755
index 0000000..92265f4
--- /dev/null
+++ b/kea/bin/kea-leases-reset
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+HOSTS="${*:-localhost}"
+
+for HOST in ${HOSTS}
+do
+ case "${HOST}" in
+ localhost)
+ echo "Removing all leases..."
+
+ sudo service kea-dhcp6-server stop
+ sudo service kea-dhcp4-server stop
+
+ sudo rm -f /var/lib/kea/*.csv*
+
+ sudo service kea-dhcp6-server start
+ sudo service kea-dhcp4-server start
+
+ echo
+ echo "done."
+ ;;
+
+ *)
+ echo "'${HOST}': Removing all leases..."
+
+ ssh "${HOST}" \
+ "sudo service kea-dhcp6-server stop; \
+ sudo service kea-dhcp4-server stop; \
+ sudo rm -f /var/lib/kea/*.csv*; \
+ sudo service kea-dhcp6-server start; \
+ sudo service kea-dhcp4-server start"
+
+ echo
+ echo "done."
+ ;;
+ esac
+done